What is Sherlock on CloudFerro Cloud

This documentation provides an overview of how to use the Sherlock API for chat completion. The Sherlocks servers are designed to be compatible with the OpenAI API, allowing seamless integration for applications that require conversational AI capabilities.

Set Up

To use Sherlock’s API, you have to be an admin user of an Organization registered at CloudFerro.

The detailed process of registration is descirbed in the following article.

Don’t forget to set up your organization as well. The details how to do it are described here.

Once you are ready, you’ll be able to create your first project in management console. Happy exploring of our services!

Authentication

API Keys

Sherlock by CloudFerro uses API keys for authentication. You can create API keys within created project in your Control Panel.

Warning

Remember that your API key is a secret! Do not share it with others or expose it in any client-side code (browsers, apps). Production requests must be routed through your own backend server where your API key can be securely loaded from an environment variable or key management service.

Getting Started

Thanks to compatibility with OpenAI API standard, you can use preexisting libraries.

Installation

Ensure you have the necessary packages installed. You can use pip to install the required libraries:

pip install openai

 API Key Configuration: Set your API key and base URL for calling Sherlocks API. You can do this directly in your code or via environment variables.

Models

Sherlock allows for inference with Large Language Models and embedding models.

Large Language Models

Provider

Model ID

HF Reference

SpeakLeash Foundation

speakleash/Bielik-11B-v3.0-Instruct

speakleash/Bielik-11B-v3.0-Instruct

OpenAI

openai/gpt-oss-120b

openai/gpt-oss-120b

Ministry of Digital Affairs of Poland

CYFRAGOVPL/PLLuM-12B-instruct

CYFRAGOVPL/PLLuM-12B-instruct

Meta

meta-llama/Llama-3.1-8B-Instruct

meta-llama/Llama-3.1-8B-Instruct

Meta

meta-llama/Llama-3.3-70B-Instruct

meta-llama/Llama-3.3-70B-Instruct

DeepSeek

deepseek-ai/DeepSeek-R1-Distill-Llama-70B

deepseek-ai/DeepSeek-R1-Distill-Llama-70B

MiniMaxAI

MiniMaxAI/MiniMax-M2.5

MiniMaxAI/MiniMax-M2.5

VillanovaAI

VillanovaAI/Villanova-2B-2512-Preview-Apnea-FT

VillanovaAI/Villanova-2B-2512-Preview-Apnea-FT

Mistral AI

mistralai/Mistral-Small-4-119B-2603

mistralai/Mistral-Small-4-119B-2603

Google

google/gemma-4-31B-it

google/gemma-4-31B-it

Large Language Models with vision capabilities

Provider

Model ID

HF Reference

Mistral AI

mistralai/Mistral-Small-4-119B-2603

mistralai/Mistral-Small-4-119B-2603

Google

google/gemma-4-31B-it

google/gemma-4-31B-it

Embedding Models

Provider

Model ID

HF Reference

Intfloat

intfloat/e5-mistral-7b-instruct

intfloat/e5-mistral-7b-instruct

BAAI

BAAI/bge-multilingual-gemma2

BAAI/bge-multilingual-gemma2

NovaSearch

dunzhang/stella_en_1.5B_v5

dunzhang/stella_en_1.5B_v5

sdadas

sdadas/stella-pl-retrieval-8k

sdadas/stella-pl-retrieval-8k

Please, specify model id when calling our API.

Models Endpoint

The models endpoint provides access to a list of available AI models, including chat completion and text embeddings models, that can be used through our OpenAI-compatible API. It allows developers to retrieve both the complete list of models through GET requests to /models.

Python Client Example

from openai import OpenAI
import os

# Set your API key and base URL
client = OpenAI(
    api_key=os.environ["SHERLOCK_API_KEY"],
    base_url="https://api-sherlock.cloudferro.com/openai/v1/"
)

# Check available models
models = client.models.list()
print(models)

CURL Example

curl https://api-sherlock.cloudferro.com/openai/v1/models \
    -H "Authorization: Bearer $SHERLOCK_API_KEY"
Still need help?
If this article doesn’t answer all of your questions, our support team will do their best to help you.
Contact support